function [K,Ff,T]=Create_TKF(E,I,A,LX,LY,Qf)
% The input parameters are E, I, A, LX, LY, and Qf. 
% The outputs are K, Ff, T.  
% Order of input parameters must be identical here and in the main program.

L=sqrt(LX^2+LY^2);
c=LX/L;     % cosine
s=LY/L;     % sine


k=E*I/L^3*[
 A*L^2/I   0     0  -A*L^2/I    0     0
       0  12   6*L         0  -12   6*L
       0 6*L 4*L^2         0 -6*L 2*L^2         
-A*L^2/I   0     0   A*L^2/I    0     0
       0 -12  -6*L         0   12  -6*L
       0 6*L 2*L^2         0 -6*L 4*L^2];

T=[
 c s  0  0 0 0 
-s c  0  0 0 0
 0 0  1  0 0 0
 0 0  0  c s 0
 0 0  0 -s c 0
 0 0  0  0 0 1];   


Ff=T'*Qf;

K=T'*k*T;